Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/cv3a_uncompress.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/cv3a_uncompress.F90	(revision 4175)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/cv3a_uncompress.F90	(revision 4727)
@@ -2,5 +2,5 @@
                            iflag, kbas, ktop, &
                            precip, cbmf, plcl, plfc, wbeff, sig, w0, ptop2, &
-                           ft, fq, fu, fv, ftra,  &
+                           ft, fq, fqcomp, fu, fv, ftra,  &
                            sigd, ma, mip, vprecip, vprecipi, upwd, dnwd, dnwd0, &
                            qcondc, wd, cape, cin, &
@@ -12,9 +12,9 @@
                            qta, clw, elij, evap, ep, epmlmMm, eplaMm, &         ! RomP+jyg
                            wdtrainA, wdtrainS, wdtrainM, &                      ! RomP
-                           qtc, sigt,          &
+                           qtc, sigt, detrain,         &
                            epmax_diag, & ! epmax_cape
                            iflag1, kbas1, ktop1, &
                            precip1, cbmf1, plcl1, plfc1, wbeff1, sig1, w01, ptop21, &
-                           ft1, fq1, fu1, fv1, ftra1, &
+                           ft1, fq1, fqcomp1, fu1, fv1, ftra1, &
                            sigd1, ma1, mip1, vprecip1, vprecipi1, upwd1, dnwd1, dnwd01, &
                            qcondc1, wd1, cape1, cin1, &
@@ -26,5 +26,5 @@
                            qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &  ! RomP+jyg
                            wdtrainA1, wdtrainS1, wdtrainM1, &                   ! RomP
-                           qtc1, sigt1, &
+                           qtc1, sigt1, detrain1, &
                            epmax_diag1  & ! epmax_cape
 #ifdef ISO
@@ -72,5 +72,5 @@
   REAL, DIMENSION (nloc), INTENT (IN)                :: ptop2
   REAL, DIMENSION (nloc), INTENT (IN)                :: epmax_diag
-  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: ft, fq, fu, fv
+  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: ft, fq, fqcomp, fu, fv
   REAL, DIMENSION (nloc, nd, ntra), INTENT (IN)      :: ftra
   REAL, DIMENSION (nloc), INTENT (IN)                :: sigd
@@ -99,5 +99,5 @@
   REAL, DIMENSION (nloc, nd, nd), INTENT (IN)        :: epmlmMm                !RomP+jyg
   REAL, DIMENSION (nloc, nd), INTENT (IN)            :: eplamM                 !RomP+jyg
-  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: qtc, sigt              !RomP
+  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: qtc, sigt, detrain              !RomP
   REAL, DIMENSION (nloc, nd), INTENT (IN)            :: wdtrainA, wdtrainS, wdtrainM     !RomP
 
@@ -120,5 +120,5 @@
   REAL, DIMENSION (len), INTENT (OUT)                :: epmax_diag1 ! epmax_cape
   REAL, DIMENSION (len), INTENT (OUT)                :: ptop21
-  REAL, DIMENSION (len, nd), INTENT (OUT)            :: ft1, fq1, fu1, fv1
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: ft1, fq1, fqcomp1, fu1, fv1
   REAL, DIMENSION (len, nd, ntra), INTENT (OUT)      :: ftra1
   REAL, DIMENSION (len), INTENT (OUT)                :: sigd1
@@ -147,5 +147,5 @@
   REAL, DIMENSION (len, nd, nd), INTENT (OUT)        :: epmlmMm1               !RomP+jyg
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: eplamM1                !RomP+jyg
-  REAL, DIMENSION (len, nd), INTENT (OUT)            :: qtc1, sigt1            !RomP
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: qtc1, sigt1, detrain1            !RomP
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: wdtrainA1, wdtrainS1, wdtrainM1   !RomP
 
@@ -244,4 +244,5 @@
         ft1(idcum(i), k) = ft(i, k)
         fq1(idcum(i), k) = fq(i, k)
+        fqcomp1(idcum(i), k) = fqcomp(i, k)
         fu1(idcum(i), k) = fu(i, k)
         fv1(idcum(i), k) = fv(i, k)
@@ -273,4 +274,5 @@
         qtc1(idcum(i), k) = qtc(i, k)
         sigt1(idcum(i), k) = sigt(i, k)
+        detrain1(idcum(i), k) = detrain(i, k)
    
 #ifdef ISO
@@ -418,4 +420,5 @@
       ft1(:, 1:nl) = ft(:, 1:nl)
       fq1(:, 1:nl) = fq(:, 1:nl)
+      fqcomp1(:, 1:nl) = fqcomp(:, 1:nl)
       fu1(:, 1:nl) = fu(:, 1:nl)
       fv1(:, 1:nl) = fv(:, 1:nl)
@@ -447,4 +450,5 @@
       qtc1(:, 1:nl) = qtc(:, 1:nl)
       sigt1(:, 1:nl) = sigt(:, 1:nl)
+      detrain1(:, 1:nl) = detrain(:, 1:nl)
 !
       ma1(:, nlp) = 0.
